Subject: RE: [Ltru] Re: Note to RFC editor in initial registry

From: "McDonald, Ira" <[email-masked]>
Date: Fri, 23 Sep 2005 08:08:59 -0700

Hi,

It's probably too late in this process, but...

The ambiguity in the content of 'Added' would go away if
the field were named 'Created' (clearly, the date wouldn't
change with a modification).

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Blue Roof Music / High North Inc
PO Box 221  Grand Marais, MI  49839
phone: +1-906-494-2434
email: [email-masked]

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Doug Ewell
> Sent: Friday, September 23, 2005 2:01 AM
> To: LTRU Working Group
> Subject: [Ltru] Re: Note to RFC editor in initial registry
> 
> 
> Randy Presuhn <randy underscore presuhn at mindspring dot com> wrote:
> 
> > Let's see what Doug proposes for the note.  I'd personally prefer
> > a reference to the registry draft, rather than putting an URL into
> > the note in the initial registry draft.  That would leave fewer
> > opportunities for error in AUTH48.
> 
> I'll propose some actual text probably Friday night or Saturday, after
> I've had a bit more sleep.
> 
> The short answer is that I agree with Randy's comment above, and also
> agree in principle with his proposed text that simply says of the
> initial-registry text, "it was here once, but has been stripped out,"
> rather than trying to show the reader how to reconstruct the initial
> registry.
> 
> Reconstructing the initial registry won't work anyway because the
> "Added" date doesn't reflect changes (such as a Suppress-Script field
> added to an existing record), and also because the records for
> grandfathered and redundant tags have an "Added" date equal 
> to the date
> the tag was added to the RFC 3066 registry (unlike the subtag 
> records).
> 
> --
> Doug Ewell
> Fullerton, California
> http://users.adelphia.net/~dewell/
> 
> 
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru
> 

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Addison Phillips" <[email-masked]>
Date: Fri, 23 Sep 2005 08:41:36 -0700

There is no ambiguity in the content of 'Added': it is the date the subtag (or tag) was added to the registry. It says so in the draft. The value is guaranteed to be stable over time, so it cannot be the record-instance's creation date.

The one potentially curious twist is that the File-Date record may have a date later than all of the Added and Deprecated dates in the registry. If we wished to do anything, instead of changing 'Added' to 'Created' we could create another informative field called 'Last-Modified'.

I happen to think it's too late, though. I sent draft-13 off (and it got published) yesterday and I don't see the use case for Last-Modified as being very strong.

Addison

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> McDonald, Ira
> Sent: vendredi 23 septembre 2005 08:09
> To: 'Doug Ewell'; LTRU Working Group
> Subject: RE: [Ltru] Re: Note to RFC editor in initial registry
> 
> Hi,
>

---

From: "Addison Phillips" <[email-masked]>
Date: Sat, 24 Sep 2005 19:00:31 -0700

That would work even better. And I too would be happy with just the one paragraph.

Addison

Addison P. Phillips

> Randy Presuhn
> Sent: samedi 24 septembre 2005 18:59
> To: LTRU Working Group
> Subject: Re: [Ltru] Re: Note to RFC editor in initial registry
> 
> Hi -
> 
> As a technical contributor:
> 
> > From: "Addison Phillips" <[email-masked]>
> > To: "Doug Ewell" <[email-masked]>; "LTRU Working Group"
> <[email-masked]>
> > Cc: "John C Klensin" <[email-masked]>
> > Sent: Saturday, September 24, 2005 5:01 PM
> ...
> > 3.  The initial set of subtags in the registry, which were specified
> > by this document, are those records in the IANA registry [IANA-registry]
> > with "Added" field-values before 2005-07-11.  Note that [ltru-registry,
> > Section 3.1] requires that an "Added" field appear in each registration
> > record and that Section 3.3(1) specifies that field must not be
> > changed after registration. (Other fields in these records may have
> > been modified at a later date, subject to the restrictions
> > in Section 3.4 of [ltru-registry].)
> > --
> >
> > NB> the date 2005-07-11 is "Date B + 1"
> ...
> 
> Just a little word-smithing, and a comment:
> 
> --------------
> 3.  The remainder of this section specified the initial set of subtags
> for the registry.  This material was deleted on publication of this
> memo, to avoid any confusion with the registry itself [I-D.ietf-ltru-
> registry].
> 
> Each of these initial entries has an "Added" field value prior
> to YYYY-MM-DD.  Note that [I-D.ietf-ltru-registry] Section 3.3(1)
> specifies that this field must not change after registration.
> Other fields in these records may subsequently be modified,
> subject to the restrictions in Section 3.4 of [I-D.ietf-ltru-registry].
> 
> RFC EDITOR NOTE: the remainder of this section is to be deleted upon
> publication.
> ----------------
> 
> I think that all is really needed is the first paragraph and the note.
> I'll go along with the second paragraph if folks think it's really useful
> and necessary, but I'd be happier without it.
> 
> Randy
> 
> 
> 
>

---

From: "Doug Ewell" <[email-masked]>
Date: Sat, 24 Sep 2005 19:06:44 -0700

To summarize, I propose to amend draft-initial-04 by adding the
following text to the beginning of Section 3:

[NOTE TO RFC EDITOR: Please remove this note and the rest of this
section, replacing it with the following comment:

The initial set of subtags in the registry, which were specified by this
document, are those records in the IANA registry [IANA-registry] with
"Added" field-values no later than the date of publication of this
document.  Note that Section 3.1 of [ltru-registry] requires that an
"Added" field appear in each registration record and that Section 3.3(1)
specifies that field must not be changed after registration. Other
fields in these records may have been modified at a later date, subject
to the restrictions in Section 3.4 of [ltru-registry].  Because of this,
it may not be possible to use a future version of the Language Subtag
Registry to reconstruct an exact copy of the initial registry contents.]

I would need to know what to put within the square brackets for
[IANA-registry].  Presumably this would be a normative reference to
whatever URI is chosen for the Language Subtag Registry.  I would have
to get this information in time for AUTH48, or the RFC Editor would have
to plug in the correct value at the time of text substitution.

The only other amendment to draft-initial-04 would be the addition of
the following record to the initial registry contents:

Type: language
Subtag: rup
Description: Aromanian
Description: Arumanian
Description: Macedo-Romanian
Added: 2005-09-20

Note that 'ain' for Ainu is already in draft-initial-04, but not in
previous versions.

---

From: "Addison Phillips" <[email-masked]>
Date: Sat, 24 Sep 2005 21:28:11 -0700

Put in the first paragraph (about the material having been deleted). Leave out the rest. As an RFC this document will be of interest only to digital archaeologists, the meat of the registry having long since been picked from its bones. The material being suggested doesn't do anything that draft-registry doesn't do (except specifying how to identify the original set of records).

A better way to do that might be to write:

--
The File-Date record of the initial registry was the date of publication of this document.
--

That is all of the information one actually needs to cover all the text suggested previously :-)

Addison

Addison P. Phillips

> Sent: samedi 24 septembre 2005 21:14
> To: LTRU Working Group
> This is a unified response to several messages, so don't anyone jump to
> any conclusions until you've read the whole thing.
> 
> > memo, to avoid any confusion with the registry itself
> > [I-D.ietf-ltru-registry].
> 
> What is the role of the reference [I-D.ietf-ltru-registry] here?  In
> this context it looks like a pointer to the registry, which is not true.
> Draft-initial is already chock-full of references to draft-registry
> without adding another non-essential one.
> 
> I suggest deleting the reference, and also adding the word "potential"
> before "confusion," though I'm not dogmatic about the latter.
> 
> I still would like to avoid specifying the literal date.  If we do,
> we'll have to be really, really sure we don't miss updating this in the
> closing moments.
> 
> Good so far.  (Lest anyone forget, this is whole purpose of this
> exercise.)
> 
> > I'll go along with the second paragraph if folks think it's really
> > useful and necessary, but I'd be happier without it.
> 
> I'm fine with removing it, because I don't think there should be any
> need to re-create the initial registry.  The current one is what's
> interesting.
> 
> Later:
> 
> >> ... How about:
> >>
> >>     ... with "Added" field values no later than the date of
> >>     publication of this document.
> >
> > I like this a lot.
> 
> Good, if we have to have this paragraph at all.
> 
> >>     Because of this, it may not be possible to use a future version
> >>     of the Language Subtag Registry to reconstruct an exact copy of
> >>     the initial registry contents.
> >>
> >> Comments?
> > ...
> >
> > If folks think we need any text on reconstruction, I think this
> > addition would be an important one.  (I'm still not convinced that we
> > need to say *anything* about reconstruction, though I'm willing to go
> > along with it.)
> 
> Agreed.
> 
> Addison Phillips <addison dot phillips at quest dot com> wrote:
> 
> In a private message, it was also suggested to use "records" instead of
> "subtags," and I agree with this (some records are for tags, not
> subtags).
> 
> OK, so here's what we have now:
> 
> <proposed-text>
> 3.  The remainder of this section specified the initial set of records
> memo, to avoid any potential confusion with the registry itself.
> 
> <!-- possible second paragraph -->
> <!--
> Each of these initial entries has an "Added" field value no later than
> the date of publication of this document.  Note that Section 3.3 (1) of
> [I-D.ietf-ltru-registry] specifies that this field must not change after
> registration.  Other fields in these records may subsequently be
> modified, subject to the restrictions in Section 3.4 of
> [I-D.ietf-ltru-registry].
> -->
> <!-- alternative possible second paragraph -->
> <!-- this assumes an initial registry File-Date of 2005-12-01 -->
> <!--
> Each of these initial entries has an "Added" field value prior to
> 2005-12-02.  Note that Section 3.3 (1) of [I-D.ietf-ltru-registry]
> specifies that this field must not change after registration.  Other
> fields in these records may subsequently be modified, subject to the
> restrictions in Section 3.4 of [I-D.ietf-ltru-registry].
> -->
> 
> [RFC EDITOR NOTE: the remainder of this section is to be deleted upon
> publication.]
> </proposed-text>
> 
> Comments?
> 
> --
> Doug Ewell
> Fullerton, California

---

From: "Doug Ewell" <[email-masked]>
Date: Sat, 24 Sep 2005 22:10:13 -0700

Addison Phillips <addison dot phillips at quest dot com> wrote:

> Put in the first paragraph (about the material having been deleted).
> Leave out the rest.

Randy Presuhn <randy underscore presuhn at mindspring dot com> wrote:

> I could live with either of these, but would be happier without them.

OK, good enough.